Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605858 - Calendar utility returns yesterday's events along with today's and tomorrow's events
Calendar utility returns yesterday's events along with today's and tomorrow's...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: calendar (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 19:40 EDT by John Kolassa
Modified: 2011-01-21 22:09 EST (History)
1 user (show)

See Also:
Fixed In Version: calendar-1.26-1.20110115cvs.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-15 23:16:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Calendar file giving erroneous results on 6/18. (116 bytes, text/plain)
2010-06-18 19:40 EDT, John Kolassa
no flags Details

  None (edit)
Description John Kolassa 2010-06-18 19:40:09 EDT
Created attachment 425269 [details]
Calendar file giving erroneous results on 6/18.

Description of problem:
Calendar file contains events for yesterday, today, and tomorrow (or, if today is Friday, for yesterday, today, and the weekend).  The utility should return today's and tomorrow's events, but instead returns yesterday's events as well.

Version-Release number of selected component (if applicable):
1.25-7

How reproducible:
Every time.

Steps to Reproduce:
1. Create calendar file with events for three consecuitive days, including yesterday, today, and tomorrow.  File may include other events as well.  One such file is attached.
2. Invoke calandar for a day with an event the day before.  For the calendar file attached, either invoke 
calendar 
on 18 June, or invoke 
calendar -t 18

  
Actual results:
Events for yesterday, mislabeled as today, with today's, tomorrow's, and the weekend's, if applicable.  For the example, with the attached calendar file, invoked for June 18, I get
Jun 18  appointment 6/17
Jun 18  appointment 6/18
Jun 19  appointment 6/19
Jun 20  appointment 6/20
Jun 21  appointment 6/21

The first event is not appropriate.

Expected results:
Events for today, tomorrow, and, if applicable, the weekend.  For the example,

Jun 18  appointment 6/18
Jun 19  appointment 6/19
Jun 20  appointment 6/20
Jun 21  appointment 6/21

Additional info:  Solaris version gives my expected results.
Comment 1 Bug Zapper 2010-11-03 09:04:07 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 David Cantrell 2010-11-03 16:51:02 EDT
Moving this to rawhide so the bug isn't automatically closed.
Comment 3 David Cantrell 2011-01-15 23:16:26 EST
I am unable to reproduce this on rawhide or Fedora 14.  I've just upgrade the calendar package to the version from OpenBSD 4.8.  Nothing has changed in the code, it's just received corrections to the calendar data files.  But the package hadn't been compiled since May 2010, so maybe we just needed a rebuild.

Please try calendar-1.26-1.20110115cvs when it appears in rawhide and see if it corrects your issue.  If you'd like an update for a previous Fedora release, let me know.
Comment 4 John Kolassa 2011-01-21 22:09:50 EST
Thanks for looking into this.  I just updated to Fedora 14, and the bug does not appear.   Thanks, John

Note You need to log in before you can comment on or make changes to this bug.